BcRSAAsymmetricKeyWrapper (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator.bc

## Class BcRSAAsymmetricKeyWrapper

- java.lang.Object
- - org.bouncycastle.operator.AsymmetricKeyWrapper
  - - org.bouncycastle.operator.bc.BcAsymmetricKeyWrapper
    - - org.bouncycastle.operator.bc.BcRSAAsymmetricKeyWrapper

- All Implemented Interfaces:
    KeyWrapper

      public class BcRSAAsymmetricKeyWrapper
      extends BcAsymmetricKeyWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcRSAAsymmetricKeyWrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlgId, org.bouncycastle.crypto.params.AsymmetricKeyParameter publicKey)`
    `BcRSAAsymmetricKeyWrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlgId, org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.bouncycastle.crypto.AsymmetricBlockCipher` | `createAsymmetricWrapper(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)`

    - ### Methods inherited from class org.bouncycastle.operator.bc.BcAsymmetricKeyWrapper

      `generateWrappedKey, setSecureRandom`

    - ### Methods inherited from class org.bouncycastle.operator.AsymmetricKeyWrapper

      `getAlgorithmIdentifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcRSAAsymmetricKeyWrapper

          public BcRSAAsymmetricKeyWrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlgId,
                                   org.bouncycastle.crypto.params.AsymmetricKeyParameter publicKey)

    - #### BcRSAAsymmetricKeyWrapper

          public BcRSAAsymmetricKeyWrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlgId,
                                   org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### createAsymmetricWrapper

          protected org.bouncycastle.crypto.AsymmetricBlockCipher createAsymmetricWrapper(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)

      Specified by:
        `createAsymmetricWrapper` in class `BcAsymmetricKeyWrapper`